This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ShowArchivingPolicy

1 - 1.2

get /v1/archiving-policies/{archiving_policy_id}

Description

Show an archivingPolicy

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.2"

Example HTTP response

Response 200

{
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_policy": {
        "id": "SCH-XXXXXXX",
        "name": "my-policy",
        "object_lifecycle": "1",
        "archiving_prefix": "/",
        "state": "ACTIVE"
    }
}